spandsp: g726_state_s Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
g726_state_s Struct Reference

`#include <g726.h>`

## Public Attributes
int | rate
int | ext_coding
int | bits_per_sample
int | packing
int32_t | yl
int16_t | yu
int16_t | dms
int16_t | dml
int16_t | ap
int16_t | a [2]
int16_t | b [6]
int16_t | pk [2]
int16_t | dq [6]
int16_t | sr [2]
int | td
bitstream_state_t | bs
| The bit stream processing context.
g726_encoder_func_t | enc_func
| The current encoder function.
g726_decoder_func_t | dec_func
| The current decoder function.

## Detailed Description

The following is the definition of the state structure used by the G.726 encoder and decoder to preserve their internal state between successive calls. The meanings of the majority of the state structure fields are explained in detail in the ITU Recommendation G.726. The field names are essentially indentical to variable names in the bit level description of the coding algorithm included in this recommendation.

## Member Data Documentation

## ◆ a

int16_t g726_state_s::a[2]

Coefficients of pole portion of prediction filter.

Referenced by g726_init().

## ◆ ap

int16_t g726_state_s::ap

Linear weighting coefficient of 'yl' and 'yu'.

Referenced by g726_init().

## ◆ b

int16_t g726_state_s::b[6]

Coefficients of zero portion of prediction filter.

Referenced by g726_init().

## ◆ bits_per_sample

int g726_state_s::bits_per_sample

The number of bits per sample

Referenced by g726_decode(), g726_encode(), and g726_init().

## ◆ dml

int16_t g726_state_s::dml

Long term energy estimate.

Referenced by g726_init().

## ◆ dms

int16_t g726_state_s::dms

int16_t term energy estimate.

Referenced by g726_init().

## ◆ dq

int16_t g726_state_s::dq[6]

Previous 6 samples of the quantized difference signal represented in an internal floating point format.

Referenced by g726_init().

## ◆ ext_coding

int g726_state_s::ext_coding

The external coding, for tandem operation

Referenced by g726_decode(), g726_encode(), and g726_init().

## ◆ packing

int g726_state_s::packing

One of the G.726_PACKING_xxx options

Referenced by g726_decode(), g726_encode(), and g726_init().

## ◆ pk

int16_t g726_state_s::pk[2]

Signs of previous two samples of a partially reconstructed signal.

Referenced by g726_init().

## ◆ rate

int g726_state_s::rate

The bit rate

Referenced by g726_init().

## ◆ sr

int16_t g726_state_s::sr[2]

Previous 2 samples of the quantized difference signal represented in an internal floating point format.

Referenced by g726_init().

## ◆ td

int g726_state_s::td

Delayed tone detect

Referenced by g726_init().

## ◆ yl

int32_t g726_state_s::yl

Locked or steady state step size multiplier.

Referenced by g726_init().

## ◆ yu

int16_t g726_state_s::yu

Unlocked or non-steady state step size multiplier.

Referenced by g726_init().

The documentation for this struct was generated from the following file:

- private/g726.h